package cn.wise.sc.cement.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author ztw
 * @since 2020-09-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class NormProduction implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId(value = "id", type = IdType.AUTO)
	private Integer id;

	/**
	 * 检查组id
	 */
	@ApiModelProperty("对象id")
	private Integer assessId;

	/**
	 * 类型  0:处理项  1:检测组  2:检测项
	 */
	@ApiModelProperty("类型  0:处理项 1:检测组 2:检测项")
	private Integer type;

	/**
	 * 定额工日
	 */
	@ApiModelProperty("定额工日")
	private Double quotaDay;

	/**
	 * 报出分析结果
	 */
	@ApiModelProperty("报出分析结果")
	private Double reportedAnalyseResult;

	/**
	 * 建议系数
	 */
	@ApiModelProperty("建议系数")
	private Double coefficient;

	/**
	 * 考核工值
	 */
	@ApiModelProperty("考核工值")
	private Double assessValue;

	/**
	 * 分析占比
	 */
	@ApiModelProperty("分析占比")
	private Double analyseRate;

	/**
	 * 分样占比
	 */
	@ApiModelProperty("分样占比")
	private Double separateRate;

	/**
	 * 考核占比
	 */
	@ApiModelProperty("考核占比")
	private Double assessRate;

	/**
	 * 报结果占比
	 */
	@ApiModelProperty("报结果占比")
	private Double reportedResultRate;

	/**
	 * 状态
	 */
	@ApiModelProperty("状态")
	private Integer status;




	/**
	 * 标准产值-人员详情（对象的数量）
	 */
	@Data
	public static class NormProductionUserDetail implements Serializable{
		private static final long serialVersionUID = 42L;
		private Integer type;
		private String userName;
		private Integer objId;
		private String objName;
		private Integer countNums;
		private BigDecimal countPricel;
	}







	/**
	 * 标准产值-检测项目详情（对象的具体信息）
	 */
	@Data
	public static class NormProductionDetail implements Serializable{
		private static final long serialVersionUID = 42L;
		private String userName;
		private String objName;
		private String projectName;
		private String projectCode;
		private String entrustCode;
		private LocalDateTime checkTime;
		private BigDecimal countPricel;

	}

}
