package cn.wise.sc.cement.business.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.time.LocalDate;

import java.time.LocalDateTime;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author ztw
 * @since 2020-09-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlanEquipmentMaintain implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId(value = "id", type = IdType.AUTO)
	private Integer id;

	@ApiModelProperty("产品名称")
	private String name;

	@ApiModelProperty("规格型号")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String model;

	@ApiModelProperty("编号")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String code;

	@ApiModelProperty("维护日期")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private LocalDate maintainDate;

	@ApiModelProperty("创建人id")
	private Integer userId;

	@ApiModelProperty("设备维护人id")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private Integer maintainerId;

	@ApiModelProperty("维护内容")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String maintainContent;

	@ApiModelProperty("维护结果")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String maintainResult;

	@ApiModelProperty("设备维护计划附件地址")
	private String enclosureUrl;

	@ApiModelProperty("附件名")
	private String alias;

	@ApiModelProperty("附件扩展名")
	private String extName;

	@ApiModelProperty("状态（0待完成，1已完成）")
	private Integer status;

	@ApiModelProperty("实施情况")
	private String implementation;

	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty("备注")
	private String remark;
}
