package cn.wise.sc.cement.business.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;

import java.time.LocalDate;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author ztw
 * @since 2020-09-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlanStandardPurchase implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId(value = "id", type = IdType.AUTO)
	private Integer id;

	@ApiModelProperty("标物名称")
	private String name;

	@ApiModelProperty("标物编号")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String code;

	@ApiModelProperty("经销单位")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String distributionUnit;

	@ApiModelProperty("采购数量")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private Integer purchaseNum;

	@ApiModelProperty("采购日期（购买日期）")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private LocalDate purchaseDate;

	@ApiModelProperty("采购人id")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private Integer purchaserId;

	@ApiModelProperty("创建人id")
	private Integer userId;

	@ApiModelProperty("规格型号")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String model;

	@ApiModelProperty("状态（0禁用，1已启用）")
	private Integer status;

	@ApiModelProperty("实施情况")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String implementation;

	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty("备注")
	private String remark;

}
