package cn.wise.sc.cement.business.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * @description: 质量检测详情
 * @author: ztw
 * @create: 2021-03-23 14:01
 **/
@Data
@ApiModel("质量检测详情实体")
public class QualityDetail implements Serializable {

	private static final long serirsionUID = 42L;

	@ApiModelProperty("检测表id")
	private Integer id;
	@ApiModelProperty("样品名字")
	private String sampleName;
	@ApiModelProperty("本所编号")
	private String cementCode;
	@ApiModelProperty("平行样编号")
	private String parallelCode;
	@ApiModelProperty("样品状态")
	private String sampleForm;
	@ApiModelProperty("来样编号")
	private String sampleCode;
	@ApiModelProperty("项目id")
	private Integer entrustId;
	@ApiModelProperty("样品id")
	private Integer sampleId;
	@ApiModelProperty("检测组id")
	private Integer teamGroupId;
	@ApiModelProperty("检测项id")
	private Integer teamId;
	@ApiModelProperty("检测人id")
	private Integer userId;
	@ApiModelProperty("检测结果")
	private String disResult;
	@ApiModelProperty("校核结果表id")
	private Integer checkId;
	@ApiModelProperty("最终检测结果")
	private String lastResult;
	@ApiModelProperty("误差值")
	private String errorResult;
	@ApiModelProperty("送检单位id")
	private Integer clientId;
	@ApiModelProperty("项目编号")
	private String entrustCode;
	@ApiModelProperty("项目名字")
	private String projectName;
	@ApiModelProperty("样品数量")
	private Integer sampleNum;
	@ApiModelProperty("委托人名字")
	private String sendName;
	@ApiModelProperty("委托人电话")
	private String sendPhone;
	@ApiModelProperty("委托创建时间")
	private LocalDate createTime;


	@ApiModelProperty("检测组名字")
	private String teamGroupName;
	@ApiModelProperty("用户名")
	private String userName;
	@ApiModelProperty("送检单位名字")
	private String clientName;




}
