package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.Client;
import cn.wise.sc.cement.business.entity.ItemDistribution;
import cn.wise.sc.cement.business.entity.ItemDistributionSample;
import cn.wise.sc.cement.business.model.vo.ClientVo;
import cn.wise.sc.cement.business.model.vo.DataStatisticsTeamVo;
import cn.wise.sc.cement.business.model.vo.DataStatisticsVo;
import cn.wise.sc.cement.business.model.vo.EntrustVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-08-07
 */
public interface DataStatisticsMapper  {

	List<DataStatisticsVo> countTeamByTime(@Param("params") Map<String, Object> params);

	List<DataStatisticsVo> countTeamByOrigin(@Param("params") Map<String, Object> params);

	Integer countEntrustSumNum(@Param("params") Map<String, Object> params);

	List<DataStatisticsVo> countEntrustStatus(@Param("params") Map<String, Object> params);

	List<DataStatisticsVo> countEntrustType(@Param("params") Map<String, Object> params);

	IPage<EntrustVo> countEntrustPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	List<Map<String, Object>> exportEntrustList(@Param("params") Map<String, Object> params);
	List<Map<String, Object>> exportEntrustNewList(@Param("params") Map<String, Object> params);

	IPage<DataStatisticsVo> countHandlePage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	Integer countHandleWeek(@Param("userId") Integer userId, @Param("weekType") Integer weekType);

	IPage<DataStatisticsVo> countDistributionPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	Integer countDistributionWeek(@Param("userId") Integer userId, @Param("weekType") Integer weekType);

	List<DataStatisticsVo> countTeamIng(@Param("params") Map<String, Object> params);

	List<DataStatisticsVo> countTeam(@Param("params") Map<String, Object> params);

	IPage<DataStatisticsTeamVo> countTeamPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	List<Map<String, Object>> exportTeamList(@Param("params") Map<String, Object> params);

	Integer countEntrustNum(@Param("teamId") Integer teamId);

	Integer countSampleNum(@Param("teamId") Integer teamId);

	List<DataStatisticsVo> countByClient();


    IPage<ItemDistribution> countItemDistribution(@Param("page") Page<ItemDistribution> page,
                                                  @Param("start") String startTime,
                                                  @Param("end") String endTime,
                                                  @Param("origins") List<String> origins,
                                                  @Param("itemId") Long itemId);

    ItemDistributionSample countItemDistributionSample(@Param("start") String startTime, @Param("end") String endTime,
                                                       @Param("origin") String origin, @Param("teamId") Long teamId);

	List<Map<String, Object>> exporItemDistributionList(@Param("start") String startTime,
	                                                    @Param("end") String endTime,
	                                                    @Param("origins") List<String> origins,
	                                                    @Param("itemId") Long itemId);

}
