package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.SampleCheck;
import cn.wise.sc.cement.business.model.vo.IndustrialReport;
import cn.wise.sc.cement.business.model.ElementReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
public interface SampleCheckMapper extends BaseMapper<SampleCheck> {

	/**
	 * 获取样品检测结果
	 *
	 * @param entrustId 项目id
	 * @return SixElementReport
	 */
	List<ElementReport> getSampleElementCheck(@Param("entrustId") Integer entrustId, @Param("teamNames") Set<String> teamNames);

	/**
	 * 获取样品工业检测结果
	 *
	 * @param entrustId 项目id
	 * @return IndustrialReport
	 */
	List<IndustrialReport> getSampleIndustrialCheck(@Param("entrustId") Integer entrustId);
}
