package cn.wise.sc.cement.business.model;

/**
 * @description: 检测结果中的key
 * @author: ztw
 * @create: 2021-3-19
 **/
public enum ElementKey {

	//十元素1&十元素2 key
	LOI("L.O.I"),
	SiO2("SiO<sub>2</sub>"),
	Al2O3AndTiO2("Al<sub>2</sub>O<sub>3</sub>+TiO<sub>2</sub>"),
	Fe2O3("Fe<sub>2</sub>O<sub>3</sub>"),
	CaO("CaO"),
	MgO("MgO"),
	K2O("K<sub>2</sub>O"),
	Na2O("Na<sub>2</sub>O"),
	SO3("SO<sub>3</sub>"),
	Cl("Cl<sup>-</sup>"),
	FSiO2("f-SiO<sub>2</sub>"),
	Al2O3("Al<sub>2</sub>O<sub>3</sub>"),
	TiO2("TiO<sub>2</sub>"),
	MnO("MnO"),

	//煤的工业分析key
	Gyfx("工业分析"),
	Stad("St,ad"),


	Km("可磨"),  //煤的工业分析&工艺性能 共用key

	//工艺性能key
	Ymx("易磨性"),
	Fsx("磨蚀性"),
	Gm("辊磨"),
	//易烧性 直接取游离钙的结果
	FCaO1350("fCaO 1350"),
	FCaO1400("fCaO 1400"),
	FCaO1450("fCaO 1450"),

	//物理性能key
	Xd45um("45μm细度"),
	Xd80um("80μm细度"),
	Xd200um("200μm细度"),
	Bbmj("比表面积"),
	Md("密度"),
	Sxzs("塑性指数"),
	Sf("水分"),

	//颗粒分析key
	Jgldfx("激光粒度分析"),

	;
	private String key;

	ElementKey(String key) {
		this.key = key;
	}

	public String getKey() {
		return this.key;
	}

}
