package cn.wise.sc.cement.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import sun.java2d.loops.GeneralRenderer;

import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @description:
 * @author: qh
 * @create: 2020-08-07 14:58
 **/
@Data
@ApiModel("样品及检测项请求")
public class SampleTmpQuery {

	private Integer id;

	@ApiModelProperty("来样编号")
	private String sampleCode;

	@ApiModelProperty("样品名")
	private String name;

	@ApiModelProperty("样品状态（粉、块状)")
	private String sampleForm;

	@ApiModelProperty("检测项id 例子：1、2、3")
	private String teamIds;

	@ApiModelProperty("样品照片")
	private String samplePhoto;

	@ApiModelProperty("样品重量")
	@Size(max =10, min=1)
	private BigDecimal weight;

	@ApiModelProperty("样品重量计量单位（1微克，2毫克，3克，4千克，5吨）")
	private Integer weightType;

	@ApiModelProperty("(检测依据编号)  例子：01、23、15")
	private String methodNumbers;

	@ApiModelProperty("产地")
	private String origin;

}
