package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2021-2-5
 **/
@Data
@ApiModel("委托-校核结果-样品Vo")
public class CheckSampleResultVo {

	@ApiModelProperty("样品表id")
	private Integer sampleId;

	@ApiModelProperty("来样编号")
	private String sampleCode;

	@ApiModelProperty("样品名")
	private String name;

	@ApiModelProperty("样品状态（粉、块状)")
	private String sampleForm;

	@ApiModelProperty("样品照片")
	private String samplePhoto;

	@ApiModelProperty("样品重量")
	private BigDecimal weight;

	@ApiModelProperty("样品重量计量单位（1微克，2毫克，3克，4千克，5吨）")
	private Integer weightType;

	@ApiModelProperty("平行样编号")
	private String parallelCode;

	@ApiModelProperty("本所编号")
	private String cementCode;

	@ApiModelProperty("产地")
	private String origin;



	@ApiModelProperty("委托表id")
	private Integer entrustId;

	@ApiModelProperty("委托编号")
	private String entrustCode;

	@ApiModelProperty("项目id")
	private Integer projectId;

	@ApiModelProperty("项目名称")
	private String projectName;

	@ApiModelProperty("项目编号")
	private String projectCode;

	@ApiModelProperty("项目类型(常规项目，科研项目，质量控制项目)")
	private String projectType;

	@ApiModelProperty("委托人id")
	private Integer userId;

	@ApiModelProperty("委托人姓名")
	private String userName;

	@ApiModelProperty("委托人手机号码")
	private String userPhone;

	@ApiModelProperty("委托人传真")
	private String userFax;

	@ApiModelProperty("委托单位Id")
	private Integer clientId;

	@ApiModelProperty("委托单位姓名")
	private String clientName;


	@ApiModelProperty("校核人员输入检测结果")
	private String inputResult;

	@ApiModelProperty("计算结果 json串")
	private String countResult;

	@ApiModelProperty("状态（0未接受，1接受，2待校核，3退回，4校核通过，5校核退回）")
	private Integer status;


	@ApiModelProperty("委托-校核结果-检测项列表")
	private List<CheckTeamResultVo> checkTeamResultVoList;



}
