package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2021-2-5
 **/
@Data
@ApiModel("委托-校核Vo")
public class CheckVo {

	@ApiModelProperty("委托表id")
	private Integer entrustId;

	@ApiModelProperty("委托编号")
	private String entrustCode;

	@ApiModelProperty("项目id")
	private Integer projectId;

	@ApiModelProperty("项目名称")
	private String projectName;

	@ApiModelProperty("项目编号")
	private String projectCode;

	@ApiModelProperty("项目类型(常规项目，科研项目，质量控制项目)")
	private String projectType;

	@ApiModelProperty("委托人id")
	private Integer userId;

	@ApiModelProperty("委托人姓名")
	private String userName;

	@ApiModelProperty("委托人手机号码")
	private String userPhone;

	@ApiModelProperty("委托人传真")
	private String userFax;

	@ApiModelProperty("委托单位Id")
	private Integer clientId;

	@ApiModelProperty("委托单位姓名")
	private String clientName;

	@ApiModelProperty("委托日期")
	private LocalDate entrustDate;

	@ApiModelProperty("样品数量")
	private Integer sampleNum;

	@ApiModelProperty("状态（0未评审，1已通过，2未通过，3样品处理中，4样品处理完成，" +
			"5样品检测中，6样品检测完成，7校核中，8校核完成,9修改待确认）")
	private Integer status;

	@ApiModelProperty("状态")
	private String statusValue;

	@ApiModelProperty("送样人姓名")
	private String sendName;

	@ApiModelProperty("送样人电话")
	private String sendPhone;

	@ApiModelProperty("拟定完成日期")
	private LocalDate finishDate;

	@ApiModelProperty("（1加急，0不加急）")
	private Integer isUrgent;

	@ApiModelProperty(" 剩余样品处理方法（0,取回，1由本所统一处置）")
	private Integer handleMethod;

	@ApiModelProperty("备注")
	private String remark;

	//*************************************************

	@ApiModelProperty("委托-校核-检测人Vo列表")
	private List<CheckUserVo> checkUserVoList;


}
