package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.*;
import cn.wise.sc.cement.business.model.*;
import cn.wise.sc.cement.business.model.query.*;
import cn.wise.sc.cement.business.model.vo.*;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-08-24
 */
public interface IEntrustService extends IService<Entrust> {

	//委托新增 修改 评审
	BaseResponse<IPage<EntrustVo>> getPage(PageQuery pageQuery, String entrustCode, String startDate, String endDate, Integer status,
	                                       String clientName, String projectName, String projectCode, Integer isUrgent);

	BaseResponse<String> setTopping(Integer id);

	BaseResponse<Entrust> create(EntrustQuery query);

	BaseResponse<Entrust> update(EntrustUpdateQuery query);

	BaseResponse<String> deleteSample(Integer sampleId);

	BaseResponse<EntrustVo> getDtail(Integer id);

	BaseResponse<String> getMaxCementCode();

	BaseResponse<String> approval(ApprovalQuery query);

	BaseResponse<String> sureUpdate(sureUpdateQuery query);

	//样品处理
	BaseResponse<IPage<EntrustVo>> getSampleHandlePage(PageQuery pageQuery, String entrustCode, Integer status,
                                   String clientName, String projectName, String projectCode,
                                   Integer isUrgent,Integer handleStatus);

	BaseResponse<Map<String, Object>> getSampleHandleList(Integer id);

	BaseResponse<SampleHandleVo> getHandleDtail(Integer id);

	BaseResponse<String> finishHandle(Integer id);

	BaseResponse<String> returnHandle(ReturnQuery query);

	BaseResponse<IPage<SampleReturnHandleVo>> getSampleReturnHandlePage(PageQuery pageQuery, String entrustCode, Integer userId,
	                                                                    String clientName, String projectName, String projectCode, Integer isUrgent);

	BaseResponse<String> handleAgain(HandleAgainQuery query);

	//样品检测
	BaseResponse<String> distribution(DistributionQuery query);

	BaseResponse<IPage<EntrustVo>> getSampleDistributionPage(PageQuery pageQuery, String entrustCode, Integer status,
	                                                         String clientName, String projectName, String projectCode,
	                                                         Integer isUrgent, Integer distributionStatus);

	BaseResponse<Map<String, Object>> getSampleDistributionList(Integer id);

	BaseResponse<String> acceptDistribution(Integer[] ids);



	BaseResponse<String> finishDistribution(FinishCheckGroupQuery query);

	BaseResponse<String> returnDistribution(ReturnDistributionQuery query);

	BaseResponse<IPage<SampleReturnHandleVo>> getSampleReturnDistributioPage(PageQuery pageQuery, String entrustCode, Integer userId,
	                                                                         String clientName, String projectName, String projectCode, Integer isUrgent);

	BaseResponse<String> distributioAgain(HandleAgainQuery query);


	//校核
	BaseResponse<IPage<EntrustVo>> getCheckPage(PageQuery pageQuery,
	                                            String entrustCode, String projectName, String projectCode,
	                                            Integer clientId, String clientName, Integer status,
	                                            String startDate, String endDate, Integer isUrgent);

	BaseResponse<CheckVo> getCheckList(Integer id);

	BaseResponse<CheckUserResultVo> getCheckResult(Integer entrustId, Integer userId);

	BaseResponse<Map<String, Object>> checkCountFast(CheckCountFastQuery query);

	BaseResponse<String> checkCountNew(CheckCountNewQuery query);

	BaseResponse<String> checkCountNewAgain(CheckCountNewQuery query);

	BaseResponse<IPage<EntrustVo>> getSampleReturnCheckPage(PageQuery pageQuery, String entrustCode, Integer status,
	                                                         String clientName, String projectName, String projectCode,
	                                                         Integer isUrgent, Integer distributionStatus);


	//附件的操作
	BaseResponse<List<SampleHandleEnclosureVo>> getSampleHandleEnclosureList(Integer sampleHandleId);

	BaseResponse<SampleHandleEnclosure> uploadEnclosureCL(SampleHandleEnclosureQuery query);

	BaseResponse<List<SampleDistributionEnclosureVo>> getSampleDistributionEnclosureList(Integer sampleDistributionId);

	BaseResponse<List<SampleDistributionEnclosureVo>> getClientEnclosureList(Integer sampleDistributionId);

	BaseResponse<SampleDistributionEnclosure> uploadEnclosurePF(SampleHandleEnclosureQuery query);

	BaseResponse<String> deleteEnclosure(Integer id,Integer type);

	BaseResponse<String> makePublicEnclosure(Integer isPublic, Integer id,Integer type);


	//委托单详情
	BaseResponse<EntrustVo> getBaseDtail(Integer id);

	BaseResponse<EntrustVo> getBaseDtailClient(Integer id);

	BaseResponse<List<SampleHandleVo>> getSampleHandleDtail(Integer id);

	BaseResponse<List<SampleVo>> getSampleCheckDetail(Integer id);

	BaseResponse<List<SampleVo>> getSampleCheckDtail(Integer id);


	//检测报告
	BaseResponse<IPage<EntrustVo>> getReportPage(PageQuery pageQuery, String startDate,
	                                             String endDate, Integer clientId,
	                                             String projectName, String projectCode);

	ReportDetailVo getReportDetail(Integer entrustId);

	List<TenElementReport> getTen1List(Integer entrustId);

	List<TenElementReport> getTen2List(Integer entrustId);

	List<IndustrialReport> getIndustrialList(Integer entrustId);

	List<CraftReport> getCraftList(Integer entrustId);

	List<PhysicsReport> getPhysicsList(Integer entrustId);

	List<GrainReport> getGrainList(Integer entrustId);



	//质量管理
	BaseResponse<IPage<EntrustVo>> getQualityPage(PageQuery pageQuery,
	                                              String startDate, String endDate,
	                                              Integer clientId, String projectName,
	                                              String projectCode);

	QualityDetailVo getQualityDetail(Integer entrustId);



	//导出

	void export(String startDate, String endDate, Integer status,
	            Integer clientId, String projectName, String projectCode,
	            String fileName, HttpServletResponse response);

	BaseResponse<Map<String, Object>> getSampleFlowList(Integer entrustId);

	void exportSampleLabel(Integer entrustId,
	                        String fileName, HttpServletResponse response);


	void exportCheckDetail(Integer entrustId,
	                       String fileName, HttpServletResponse response);


	void testXml2Word(MultipartFile file, HttpServletResponse response);

}
