package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.NormProduction;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.vo.NormProductionStatisticsVo;
import cn.wise.sc.cement.business.entity.Preciprice;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.vo.ProductionVo;
import cn.wise.sc.cement.business.model.vo.WorkloadStatisticsVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-11-02
 */
public interface IPrecipriceService extends IService<Preciprice> {

    boolean createPreciprice(final Integer userId, final Integer entrustId,
                             final Integer targetId, final Integer type,
                             final Integer sampleId, boolean isUrgent);


    BaseResponse<IPage<NormProductionStatisticsVo>> normProductionStatistics(PageQuery pageQuery, String startDate, String endDate, String userName);
    BaseResponse<List<NormProductionStatisticsVo>> statisticsList(String startDate, String endDate,String userName);

    BaseResponse<IPage<NormProduction.NormProductionUserDetail>>normProductionDetails(PageQuery pageQuery, String startDate, String endDate, Integer userId);

    BaseResponse<IPage<NormProduction.NormProductionDetail>>normProductionSpecificDetails(PageQuery pageQuery,
                                                                                  String startDate, String endDate, Integer userId, Integer type, Integer objId);

    List<ProductionVo> production(String name, Long start, Long end, Integer groupId);

    boolean updateStatusByEntrustId(Integer entrustId);





    void exportStatisticsList(String startDate, String endDate, String userName, String fileName, HttpServletResponse response);

    void exportStatisticsDetail(String startDate, String endDate, Integer userId, String fileName, HttpServletResponse response);

    void exportProduction(String name, Long start, Long end, Integer groupId, String fileName, HttpServletResponse response);


}
