package cn.wise.sc.cement.business.service.impl;

import cn.wise.sc.cement.business.entity.EntrustLogs;
import cn.wise.sc.cement.business.mapper.EntrustLogsMapper;
import cn.wise.sc.cement.business.model.LoginUser;
import cn.wise.sc.cement.business.service.IEntrustLogsService;
import cn.wise.sc.cement.business.service.ISysUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ztw
 * @since 2021-01-27
 */
@Service
public class EntrustLogsServiceImpl extends ServiceImpl<EntrustLogsMapper, EntrustLogs> implements IEntrustLogsService {

    @Autowired
    ISysUserService iSysUserService;
    @Override
    public Boolean addLog(Long entrustId, String operation, String nodeName, String content, Long acceptId) {

        Assert.notNull(entrustId,"委托id不能为空!");

        EntrustLogs logs = new EntrustLogs();
        logs.setEntrustId(entrustId);
        logs.setOperation(operation);
        logs.setContent(content);
        logs.setAcceptId(acceptId);
        logs.setNodeName(nodeName);

        LoginUser loginUser = iSysUserService.getLoginUser();
        logs.setOperatorId(Long.valueOf(loginUser.getId()));

        return this.save(logs);
    }
}
