package cn.wise.sc.cement.business.service.impl;

import cn.wise.sc.cement.business.entity.NonStandardValue;
import cn.wise.sc.cement.business.entity.SysUser;
import cn.wise.sc.cement.business.mapper.NonStandardValueMapper;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.vo.NonStandardApplyVo;
import cn.wise.sc.cement.business.model.vo.NonStandardValueVo;
import cn.wise.sc.cement.business.model.vo.ProductionVo;
import cn.wise.sc.cement.business.service.INonStandardValueService;
import cn.wise.sc.cement.business.service.ISysUserService;
import cn.wise.sc.cement.business.util.ExcelUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import javax.xml.crypto.Data;
import java.util.*;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wlb
 * @since 2020-09-23
 */
@Service
public class NonStandardValueServiceImpl extends ServiceImpl<NonStandardValueMapper, NonStandardValue> implements INonStandardValueService {

    @Resource
	private NonStandardValueMapper nonStandardValueMapper;
	@Autowired
	private ISysUserService userService;

	@Override
	public BaseResponse<IPage<NonStandardValueVo>> getPage(PageQuery pageQuery, Integer userId, String name,Date start, Date end) {
		Map<String, Object> params = new HashMap<>();
		params.put("start", start);
		params.put("end", end);
		params.put("userId", userId);
		params.put("name", name);
		params.put("status",2);
		Page<NonStandardValueVo> page = new Page<>(pageQuery.getPageNo(), pageQuery.getPageSize());
		IPage<NonStandardValueVo> pages = nonStandardValueMapper.getPage(page, params);
		return BaseResponse.okData(pages);
	}


	@Override
	//计算每个用户提交的非标产值
	public BaseResponse<List<NonStandardValue>> nonValue(Date start, Date end, Integer groups,String name) {
		List<NonStandardValueVo> data = getList(start, end, groups,name).getData();
		//userId去重
		Set<Integer> ids = new HashSet<>();
		//循环所有NonStandardValue的集合data,找到每个NonStandardValue.getuserId放到set
		//知道有多少个不同的userid==>不同的人
		for (NonStandardValueVo nonStandardValue : data) {
			Integer userId1 = nonStandardValue.getUserId();
			ids.add(userId1);
		}
		List<NonStandardValue> rts = new ArrayList<>();
		//循环每个不同的人 找到他所有的NonStandardValue记录===>根据userId来找
		for (Integer userId1 : ids) {
			//第一次进来 userId=1
			//去data里面找userId==1的所有数据

			//这个是我们要拿到的userId=1时的最终数据
			//李国庆的总工时和总产值
			NonStandardValue finalNonStandardValue = new NonStandardValue();
			//初始化最终结果===>不初始化默认为NULL，不能进行+——*/
			finalNonStandardValue.setId(0);
			finalNonStandardValue.setApprovalHours(0D);
			finalNonStandardValue.setReportedHours(0D);
			finalNonStandardValue.setFinalValue(0D);
			//todo 为当前userID创建一天展示的产值对象 new 产值对象 ===>传出
			for (NonStandardValueVo nonStandardValue : data) {
				//每一次进来拿到都是李国国企的一条记录
				if (nonStandardValue.getUserId().intValue() == userId1) {

					//其他不需要累加的数据==> 比如名字
					finalNonStandardValue.setStatistical(nonStandardValue.getStatistical());
//					finalNonStandardValue.setAppraisalValue(nonStandardValue.getAppraisalValue().doubleValue());
					finalNonStandardValue.setUserId(nonStandardValue.getUserId());
					finalNonStandardValue.setStartTime(nonStandardValue.getStartTime());
					finalNonStandardValue.setWorkType(nonStandardValue.getWorkType());
					finalNonStandardValue.setWorkDescription(nonStandardValue.getWorkDescription());
					finalNonStandardValue.setStatus(nonStandardValue.getStatus());
					finalNonStandardValue.setUserId(nonStandardValue.getUserId());
					finalNonStandardValue.setName(nonStandardValue.getName());
					finalNonStandardValue.setAccount(nonStandardValue.getAccount());
					finalNonStandardValue.setGroups(nonStandardValue.getGroups());
					finalNonStandardValue.setGroupName(nonStandardValue.getGroupName());

					Integer newId = finalNonStandardValue.getId() + 1;
					finalNonStandardValue.setId(newId);

					//只要进来这个if ===> 我拿到了李国庆的其中一条记录
					if(nonStandardValue.getApprovalHours() != null &&
							finalNonStandardValue.getApprovalHours() != null){
						Double houers = nonStandardValue.getApprovalHours().doubleValue();
						Double newApprovalHours = nonStandardValue.getApprovalHours() + finalNonStandardValue.getApprovalHours();
						//用新得到的最总工时覆盖掉原来的总工时===>累加
						finalNonStandardValue.setApprovalHours(newApprovalHours);
					}

					if(nonStandardValue.getReportedHours() != null &&
							finalNonStandardValue.getReportedHours() != null){
						Double RHhouers = nonStandardValue.getReportedHours().doubleValue();
						Double newReportedHours = nonStandardValue.getReportedHours() + finalNonStandardValue.getReportedHours();
						//用新得到的最总工时覆盖掉原来的总工时===>累加
						finalNonStandardValue.setReportedHours(newReportedHours);
					}
					if(nonStandardValue.getFinalValue() != null &&
							finalNonStandardValue.getFinalValue() != null){
						Double finalValue = nonStandardValue.getFinalValue().doubleValue();
						Double newFinalValue = nonStandardValue.getFinalValue() + finalNonStandardValue.getFinalValue();
						finalNonStandardValue.setFinalValue(newFinalValue);

					}

				}
			}
			rts.add(finalNonStandardValue);
		}
		return BaseResponse.okData(rts);
	}



	@Override
	public BaseResponse<List<NonStandardValueVo>> getList(Date start, Date end, Integer groups,String name) {
		Map<String, Object> params = new HashMap<>();
		params.put("start", start);
		params.put("end", end);
		params.put("status", 2);
		params.put("groups", groups);
		params.put("name",name);
		List<NonStandardValueVo> list = nonStandardValueMapper.getList(params);
		return BaseResponse.okData(list);
	}

	/**
	 * 导出-产值统计-非标产值-信息列表
	 * @param start
	 * @param end
	 * @param groups
	 * @param name
	 * @param filename
	 * @param response
	 */
	@Override
	public void exportList(Date start, Date end, Integer groups, String name, String filename, HttpServletResponse response) {
		List<NonStandardValue> list = nonValue(start, end, groups,name).getData();

		if (!CollectionUtils.isEmpty(list)) {
//			Map<String, Object> map = list.get(0);
			String[] headers = new String[6];
			headers[0] = "序号";
			headers[1] = "姓名";
			headers[2] = "账户";
			headers[3] = "上报工日";
			headers[4] = "审批工日";
			headers[5] = "最终产值";
			List<Object[]> datas = new ArrayList<>(list.size());
			int i = 0;
			for (NonStandardValue target : list) {
				Object[] objs = new Object[6];
				objs[0] = i++;
				objs[1] = target.getName();
				objs[2] = target.getAccount();
				objs[3] = target.getReportedHours();
				objs[4] = target.getApprovalHours();
				objs[5] = target.getFinalValue();
				datas.add(objs);
			}
			ExcelUtil.excelExport(
					filename == null || filename.trim().length() <= 0 ? "非标产值" : filename, headers,
					datas, response);
		}
	}

	/**
	 * 导出-产值统计-非标产值-详情信息列表
	 * @param start
	 * @param end
	 * @param userId
	 * @param name
	 * @param filename
	 * @param response
	 */
	@Override
	public void exportDetailList(Date start, Date end, Integer userId, String name, String filename,HttpServletResponse response) {
		Assert.notNull(userId, "用户id不能为空！");
		SysUser sysUser = userService.getById(userId);


		Map<String, Object> params = new HashMap<>();
		params.put("start", start);
		params.put("end", end);
		params.put("userId", userId);
		params.put("name", name);
		params.put("status",2);
		List<NonStandardValueVo> list = nonStandardValueMapper.getList(params);
		if (!CollectionUtils.isEmpty(list)) {
			String[] headers = new String[7];
			headers[0] = "序号";
			headers[1] = "姓名";
			headers[2] = "工作类型";
			headers[3] = "工作描述";
			headers[4] = "上报工日";
			headers[5] = "审批工日";
			headers[6] = "最终产值";
			List<Object[]> datas = new ArrayList<>(list.size());
			int i = 0;
			for (NonStandardValueVo target : list) {
				Object[] objs = new Object[7];
				objs[0] = i++;
				objs[1] = target.getName();
				objs[2] = target.getWorkType();
				objs[3] = target.getWorkDescription();
				objs[4] = target.getReportedHours();
				objs[5] = target.getApprovalHours();
				objs[6] = target.getFinalValue();
				datas.add(objs);
			}
			ExcelUtil.excelExport(
					filename == null || filename.trim().length() <= 0 ? "非标产值-"+sysUser.getName() : filename, headers,
					datas, response);
		}
	}

}
